import numpy as np
from mayavi import mlab

x, y, z = np.ogrid[-7:7:0.5, -7:7:0.5, -1:7:0.5]
scalars = x * x + y * y - z * z

src = mlab.pipeline.scalar_field(scalars)
mlab.pipeline.glyph(src)

mlab.show()
